void CalcEff_run6() {

 gSystem->Load("libANALYSIS");
 gSystem->Load("libANALYSISalice");
 gSystem->Load("libCORRFW.so");

  // plot pt spectra

  TCanvas *c1 = new TCanvas("AliAnalysisTaskPtCF","PtCF",10,10,1020,510);
  c1->Divide(2,1);
  c1->cd(1)->SetLogy();
  TFile *file1 = TFile::Open("PtCF1.root"); file1->ls();
  fHistPtMC->DrawCopy("E");
  c1->cd(2)->SetLogy();
  TFile *file2 = TFile::Open("PtCF2.root"); file2->ls();
  fHistPtRec->DrawCopy("E");

  // plot container projections

  TFile *file3 = TFile::Open("PtCF3.root"); file3->ls();

  AliCFContainer *aliCFContainer = (AliCFContainer*) (file3->Get("aliCFContainer"));

  TH1D* hPtMC  =  aliCFContainer->ShowProjection(0,0);
  TH1D* hEtaMC =  aliCFContainer->ShowProjection(1,0);
  TH1D* hPtRec  = aliCFContainer->ShowProjection(0,1);
  TH1D* hEtaRec = aliCFContainer->ShowProjection(1,1);

  hPtMC->SetMarkerStyle(23);
  hEtaMC->SetMarkerStyle(23);
  hEtaMC->SetMinimum(0);
  hPtRec->SetMarkerStyle(24);
  hEtaRec->SetMarkerStyle(24);
  hEtaRec->SetMinimum(0);

  TCanvas * c =new TCanvas("c","container",1200,600);
  c->Divide(4,2);

  c->cd(1)->SetLogy();
  hPtMC->Draw("p");
  c->cd(2)->SetLogy();
  hPtRec->Draw("p");
  c->cd(5);
  hEtaMC->Draw("p");
  c->cd(6);
  hEtaRec->Draw("p");


  // calculate the efficiency table (grid) from the container filled before

  // create the efficiency grid and pass the pointer of the container
  AliCFEffGrid *eff = new AliCFEffGrid("eff","efficiency",*aliCFContainer);
  // calculate efficiencies by dividing one step by another
  // here only 2 steps, MC (=0) and after reconstruntion and cuts (=1)
  eff->CalculateEfficiency(1,0);
  // project 2 dim efficiency on pt axis (=0), eta axis (=1)
  TH1D *hEffPt = eff->Project(0);
  TH1D *hEffEta = eff->Project(1);
  // project 2 dim efficiency on 2dim hihstogram
  TH2D *hEff = eff->Project(0,1);

  hEffPt->SetMarkerStyle(25);
  hEffPt->SetMinimum(0);
  hEffPt->SetMaximum(0.6);

  hEffEta->SetMarkerStyle(25);
  hEffEta->SetMinimum(0);
  hEffEta->SetMaximum(0.06);

  c->cd(3);
  hEffPt->Draw();
  c->cd(7);
  hEffEta->Draw();
  c->cd(4);
  hEff->Draw("colz");


  // plot some qa histograms

  TFile *file4 = TFile::Open("PtCF4.root"); file4->ls();

  TCanvas * c2 =new TCanvas("c2","qa histograms",1200,600);
  c2->Divide(4,2);

  // MC pt before and after the kine MC cuts are applied
  c2->cd(1)->SetLogy();
  TH1F *kineCutsMC_transverse_momentum  = clist0->FindObject("kineCutsMC_transverse_momentum ");
  kineCutsMC_transverse_momentum->Draw();
  c2->cd(5)->SetLogy();
  TH1F * kineCutsMC_transverse_momentum_cut = clist0->FindObject("kineCutsMC_transverse_momentum_cut");
  kineCutsMC_transverse_momentum_cut->Draw();

  // reconstructed azimuth before and after the kine rec cuts are applied
  c2->cd(2);
  TH1F *kineCutsRec_phi = clist0->FindObject("kineCutsRec_phi ");
  kineCutsRec_phi->Draw();
  c2->cd(6);
  TH1F *kineCutsRec_phi_cut = clist0->FindObject("kineCutsRec_phi_cut");
  kineCutsRec_phi_cut->Draw();

  // number of reconstructed clusters before and after the quality cut is applied
  c2->cd(3)->SetLogy();
  TH1F *qualityCuts_nClustersTPC = clist0->FindObject("qualityCuts_nClustersTPC ");
  qualityCuts_nClustersTPC->Draw();
  c2->cd(7)->SetLogy();
  TH1F *qualityCuts_nClustersTPC_cut = clist0->FindObject("qualityCuts_nClustersTPC_cut");
  qualityCuts_nClustersTPC_cut->Draw();

  // correlation of any cut pairs for MC kine cuts
  c2->cd(4);
  TH2F *kineCutsMC_cut_correlation = clist0->FindObject("kineCutsMC_cut_correlation");
  kineCutsMC_cut_correlation->Draw("colz");

  // cut statistics (number of removed tracks) for kine cuts on reconstructed tracks
  c2->cd(8);
  TH1F *kineCutsRec_cut_statistics = clist0->FindObject("kineCutsMC_cut_statistics");
  kineCutsRec_cut_statistics->Draw();
}